Đến nội dung


Hình ảnh

các bác biết lệnh nào xoá layer hay gộp layer lại ko?


  • Please log in to reply
4 replies to this topic

#1 dtloc_18

dtloc_18

    biết zoom

  • Members
  • Pip
  • 14 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 12 December 2008 - 02:21 PM

bản vẽ của tôi giờ nhiều layer quá, có lệnh nào xoá layer hoặc gộp 2 layer thành 1 ko? bác nào bít mong các bác chỉ với :cheers:
  • 0

#2 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 12 December 2008 - 02:40 PM

bản vẽ của tôi giờ nhiều layer quá, có lệnh nào xoá layer hoặc gộp 2 layer thành 1 ko? bác nào bít mong các bác chỉ với :cheers:

Lệnh xoá layer là laydel còn lệnh gộp 2 layer thành 1 là lệnh laymrg. 2 lệnh này nằm trong phụ trợ express.
Để xoá được layer thì các đối tượng thuộc layer đó phải không còn tyoòn tại trên bản vẽ thì bạn mới xoá layer được.
Ngoài ra còn có lệnh PU (PURGE) để xoá layer ra khỏi bản vẽ.
B)
  • 0

#3 dzon

dzon

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 19 December 2008 - 11:11 AM

Lệnh xoá layer là laydel còn lệnh gộp 2 layer thành 1 là lệnh laymrg. 2 lệnh này nằm trong phụ trợ express.
Để xoá được layer thì các đối tượng thuộc layer đó phải không còn tyoòn tại trên bản vẽ thì bạn mới xoá layer được.
Ngoài ra còn có lệnh PU (PURGE) để xoá layer ra khỏi bản vẽ.
:cheers:

Chú ý: dùng laymrg và laydel khi chọn 1 đối tượng nó sẽ chọn toàn bộ các đối tượng thuộc layer đó rồi xóa luôn layer được chọn
  • 0

#4 hhhhgggg

hhhhgggg

    biết dimedit

  • Members
  • PipPipPipPipPip
  • 393 Bài viết
Điểm đánh giá: 30 (tàm tạm)

Đã gửi 19 December 2008 - 11:59 AM

Chú ý: dùng laymrg và laydel khi chọn 1 đối tượng nó sẽ chọn toàn bộ các đối tượng thuộc layer đó rồi xóa luôn layer được chọn

Lệnh xoá Lớp là XX

CODE
;================= Xoa lop ============

(defun c:xx (/ a)
(setvar "cmdecho" 0)
(setq olderr *error* *error* myerror)
(prompt (strcat "\n Hoang Giang Xoa lop "
" ...!"))
(setq a (entsel "\nChon doi tuong thuoc layer muon xoa: "))
(if (/= a nil)
(progn
(setq a (cdr (assoc 8 (entget (car a )))))
(command "erase" (ssget "x" (cons (cons 8 (eval a)) tempword)) "")
)
(prompt "\nKhong doi tuong nao duoc chon!")
)
(setq *error* olderr)
(setvar "cmdecho" 1)
(princ)
)
  • 0
Hoàng Giang

#5 hungtv0102

hungtv0102

    biết vẽ line

  • Members
  • PipPip
  • 26 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 11 August 2013 - 11:47 AM

Công việc của em cũng đang cần dùng đến việc xóa các layer em có cái lisp xóa layer the tên như file đính kèm http://www.cadviet.c...3/24823_dla.lsp
Vidụ: em muốn sửa lisp này thành xóa 3 layer có tên sau: Layer 1, Layer 2, Layer 3 mà không cần phải nhập tên layer nữa. Lisp tư động xóa các Layer này. Nhờ các bác giúp em , xin cảm ơn các bác.
 


Bài viết đã được chỉnh sửa nội dung bởi hungtv0102: 11 August 2013 - 11:50 AM

  • 0